#include <bits/stdc++.h>
using namespace std;
#define int long long
signed main(){
    int n, m;
    cin>>n>>m;
    int cnt = 0;
    if(n > m){
        swap(n, m);
    }
    if(n == 1 && m == 1){
        cout<<1;
        return 0;
    }
    if(n == 1 && m == 2){
        cout<<4;
        return 0;
    }
    for(int i = 0; i < n; i++){
        cnt += m * (n - i);
    }
    for(int i = 0; i < m; i++){
        cnt += n * (m - i);
    }
    if(n % 2 == 1 || m % 2 == 1){
        cnt++;
    }
    cout<<cnt;
}
